# sourceview.h File Reference

SourceView class. More...

`#include <glibmm.h>`
`#include <gtkmm/textview.h>`
`#include <gtksourceviewmm/sourcebuffer.h>`

Go to the source code of this file.

## Namespaces
namespace | gtksourceview
namespace | Glib
## Classes
class | Glib::Glib::Value< gtksourceview::SourceSmartHomeEndType >
class | gtksourceview::SourceView
| Multi-line source editing widget. More...
## Typedefs
typedef struct _GtkSourceView | GtkSourceView
typedef struct _GtkSourceViewClass | GtkSourceViewClass
## Enumerations
enum | gtksourceview::SourceSmartHomeEndType { gtksourceview::SOURCE_SMART_HOME_END_DISABLED, gtksourceview::SOURCE_SMART_HOME_END_BEFORE, gtksourceview::SOURCE_SMART_HOME_END_AFTER, gtksourceview::SOURCE_SMART_HOME_END_ALWAYS }

## Detailed Description

SourceView class.

## Typedef Documentation

typedef struct _GtkSourceView GtkSourceView

typedef struct _GtkSourceViewClass GtkSourceViewClass